Package:     backup2l
Subject:     remove numeric owner
Author:      Gundolf Kiefer <gkiefer@users.noreply.github.com>
Origin:      upstream, https://github.com/gkiefer/backup2l/commit/ca1210ba0dbb2a5693c095c9a274816310e26785
Forwarded:   not needed
Last-Update: 2019-09-19

DRIVER_TAR: Remove '--numeric-owner' to be consistent with other drivers.
---

diff -urN s25/backup2l s26/backup2l
--- s25/backup2l	2019-11-09 10:21:54.400325372 +0100
+++ s26/backup2l	2019-11-09 10:22:11.424662838 +0100
@@ -174,14 +174,14 @@
             echo "tar"
             ;;
         -create)        # Arguments: $2 = BID, $3 = archive file name, $4 = file list file
-            tar cf $3 --no-recursion -T $4 --numeric-owner 2>&1 \
+            tar cf $3 --no-recursion -T $4 2>&1 \
                 | grep -v 'tar: Removing leading .* from .* names'
             ;;
         -toc)           # Arguments: $2 = BID, $3 = archive file name
             tar tf $3 | sed 's#^#/#'
             ;;
         -extract)       # Arguments: $2 = BID, $3 = archive file name, $4 = file list file
-            tar x --same-permission --same-owner --numeric-owner -f $3 -T $4 2>&1
+            tar x --same-permission --same-owner -f $3 -T $4 2>&1
             ;;
     esac
 }
